package com.persagy.functions.weather.service;

import java.util.Date;
import java.util.List;

import com.persagy.ems.pojo.wz.HourRecordData;
import com.persagy.framework.dto.TimeSpanCondition;

public interface HourRecordService {
	public void deleteOneDayOfCity(String cityId, Date dayDate) throws Exception;
	
	public void save(HourRecordData obj) throws Exception;
	
	public HourRecordData getPresent(String cityId) throws Exception;
	
	public void saveBatch(List<HourRecordData> list) throws Exception;
	
	public List<HourRecordData> query(String cityId, Date start, Date end) throws Exception;
	
	public List<HourRecordData> query(String cityId, TimeSpanCondition timeCondition) throws Exception;

	public List<HourRecordData> queryForRightHour(String cityId, Date hourTime) throws Exception;
}
